- Home
- API Enriched
- Shape
- shape
- Validate JS Injection.
Validate JS Injection.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/validate/src_tag_injection';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"src":"example","url":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/validate/src_tag_injection \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "src": "example", "url": "https://example.com" }'Validate js src tag injection in the target URL.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to verify shape Application Traffic Insights src tag injection.
object
Content to be present in customer webpage’s source.
Target webpage to check src tag injection.
Examplegenerated
{ "src": "example", "url": "https://example.com"}Responses
Section titled “Responses”A successful response.
Response to indicate whether customer webpage has custom script tag to track devices been injected or not.
object
Status about src script tag injected in customer’s webpage.
Examplegenerated
{ "message": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example